<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class C_CfdiMail extends CI_Controller
{
    private $ci;
    
    public function __construct()
    {
        parent::__construct();
        $this->ci=get_instance();
        $this->load->helper('url');
        $this->load->library('session');       
    }
    public function index()
    {
        $data=array("nombre"=>"Yo mismo");
        $this->load->view('test/prueba',$data);
        $this->load->library('email');
       
        $config=array();
        //Indicamos el protocolo a utilizar
        $config['protocol'] = 'smtp';
        
        //El servidor de correo que utilizaremos
        $config["smtp_host"] = 'mail.negosis.com.mx';
        
        //Nuestro usuario
        $config["smtp_user"] = 'negosis@negosis.com.mx';
        
        //Nuestra contraseña
        $config["smtp_pass"] = 'Nego+01*correo-IT';
        
        //El puerto que utilizará el servidor smtp
        $config["smtp_port"] = '587';
        
        //El juego de caracteres a utilizar
        $config['charset'] = 'utf-8';
        
        //Permitimos que se puedan cortar palabras
        $config['wordwrap'] = TRUE;
        
        //El email debe ser valido
        $config['validate'] = true;
        
        
        //Establecemos esta configuración
        $this->email->initialize($config);
        
        //Ponemos la dirección de correo que enviará el email y un nombre
        $this->email->from('negosis@negosis.com.mx', 'Negosis - IT');
        
        /*
         * Ponemos el o los destinatarios para los que va el email
         * en este caso al ser un formulario de contacto te lo enviarás a ti
         * mismo
         */
        $this->email->to('david.gonzalez@negosis.com.mx', "David GS");
        
        //Definimos el asunto del mensaje
        $this->email->subject("Envio correo codeigniter");
        
        //Definimos el mensaje a enviar
        $this->email->message(
            "Email: ".$this->input->post("email").
            " Mensaje: Prueba de envio de correo"
            );
        //$this->email->attach(__DIR__."/blanco.png");
        //$this->ci->ema
        
        //Enviamos el email y si se produce bien o mal que avise con una flasdata
        if($this->email->send()){
            $this->session->set_flashdata('envio', 'Email enviado correctamente');
            echo "ok";
        }else{
            $this->session->set_flashdata('envio', 'No se a enviado el email');
        }
    }
}

